/*
 * Accelerating Stepper
 * uses the Stepper_Aclr8 libruary
 *
 * created by Ben @ cape ealing
 * 25 May 2008
 *
 */

// include the libraries
#include <Stepper_Aclr8.h>

// set up the stepper motor
// 200 steps per rev, wired to pins 4, 6, 5, and 7
Stepper_Aclr8 Stepper(200, 4, 6, 5, 7);

void setup()
{
  // set the minimum speed of the motor (5 revs per min)
  Stepper.setMinSpeed(5);
  // set the maximum speed of the motor (30 revs per min)
  Stepper.setMaxSpeed(30);
  // Accelerate over 200 steps
  Stepper.setAcc(200);
}

void loop()
{
// Take 600 steps forward
// 1st 200 steps:  will accelerate from 5 to 30 revs per min 
// 2nd 200 steps: will run at max speed
// 3rd 200 steps: will decelerate from 30 to 5 revs per min
Stepper.step(601);

// wait 2 seconds
delay(2000);

// and in the reverse direction
// this time it works out it can only accelerate
// for 100 steps, then steady for 100, then decelerate for 100
Stepper.step(-300);

// wait 2 seconds
delay(2000);

}